#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub enum Rock {
    R, // Round
    S, // Square
    N, // None
}

#[allow(dead_code)]
pub fn print_platform(platform : &Vec<Vec<Rock>>) {
    for row in platform.clone() {
        for c in row {
            match c {
                Rock::R => print!("O"),
                Rock::S => print!("#"),
                Rock::N => print!("."),
            }
        }
        print!("\n");
    }
}